# Class Controller

#### Hierarchy

- Controller

- Defined in src/objectediting/getWMSFeatureComponent.js:84

#####
Index

### Properties

active
features
gmfObjectEditingQuery_
layerInfo
listenerKeys_
map

### Methods

handleActiveChange_
handleMapClick_

## Properties

### active

active: boolean

- Defined in src/objectediting/getWMSFeatureComponent.js:90

### features

features: Collection<Feature<Geometry>>

- Defined in src/objectediting/getWMSFeatureComponent.js:97

### gmfObjectEditingQuery_

gmfObjectEditingQuery_: any

- Defined in src/objectediting/getWMSFeatureComponent.js:114

### layerInfo

layerInfo: any

- Defined in src/objectediting/getWMSFeatureComponent.js:102

### listenerKeys_

listenerKeys_: EventsKey[]

- Defined in src/objectediting/getWMSFeatureComponent.js:119

### map

map: Map

- Defined in src/objectediting/getWMSFeatureComponent.js:107

## Methods

### handleActiveChange_

- handleActiveChange_(active): void

- #### Parameters

  - ##### active: boolean

    Active.

  #### Returns void

  - Defined in src/objectediting/getWMSFeatureComponent.js:125

### handleMapClick_

- handleMapClick_(evt): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/objectediting/getWMSFeatureComponent.js:139

Generated using TypeDoc